glab(1)

NAME

glab-ci-view - View, run, trace/logs, and cancel CI/CD jobs current pipeline

SYNOPSIS

glab ci view [branch/tag] [flags]

DESCRIPTION

Supports viewing, running, tracing, and canceling jobs.

Use arrow keys to navigate jobs and logs.

'Enter' to toggle a job's logs or trace or display a child pipeline (trigger jobs are marked with a »). 'Esc' or 'q' to close logs,trace or go back to the parent pipeline. 'Ctrl+R', 'Ctrl+P' to run/retry/play a job -- Use Tab / Arrow keys to navigate modal and Enter to confirm. 'Ctrl+D' to cancel job -- (Quits CI/CD view if selected job isn't running or pending). 'Ctrl+Q' to Quit CI/CD View. 'Ctrl+Space' suspend application and view logs (similar to glab pipeline ci trace) Supports vi style bindings and arrow keys for navigating jobs and logs.

OPTIONS

-b, --branch=""
    Check pipeline status for a branch/tag. (Default is the current branch)

-w, --web[=false]
    Open pipeline in a browser. Uses default browser or browser specified in BROWSER variable

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab pipeline ci view   # Uses current branch
    glab pipeline ci view master  # Get latest pipeline on master branch
    glab pipeline ci view -b master  # just like the second example
    glab pipeline ci view -b master -R profclems/glab  # Get latest pipeline on master branch of profclems/glab repo

SEE ALSO

glab-ci(1)